Description

The smartgears nodes instantiated to the EGI cloud providers need to talk to our mongodb servers.

I have temporarily opened the mongodb to all while we gather the right network addresses.

Subtasks:

Task # 1838: Smart-generic worker should download file by uri-resolver Closed

History

#2 - Dec 11, 2015 02:36 PM - Andrea Dell'Amico

The CESNET network is 147.228.240.0/22

#3 - Dec 11, 2015 02:45 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

About the Catania provider, we can assume that the public network for the cloud images is 90.147.16.0/22

#4 - Dec 16, 2015 11:46 AM - Andrea Dell'Amico

Is this still valid, or all the apps are now using the http URIs?

#5 - Dec 16, 2015 03:00 PM - Fabio Sinibaldi

In my understanding connections were opened by storage handler, which now should use http connection to the URI resolver if needed. I don't fully

understand the logic, so I'd ask @roberto.cirillo@isti.cnr.it to clarify on this.

#6 - Dec 17, 2015 10:44 AM - Roberto Cirillo

This is still valid: the smart-generic-worker downloads files by connection to mongodb servers.

Now the mongodb access is opened to all the world or only to the Catania provider network and CESNET network? If is open to all the world, could

you restrict the connections only to Catania provider and CESNET networks, please?

Anyway I'm going to open a ticket to change the behavior of smart-generic-worker.

#7 - Dec 17, 2015 10:55 AM - Andrea Dell'Amico

Roberto Cirillo wrote:

This is still valid: the smart-generic-worker downloads files by connection to mongodb servers.

 OK

Now the mongodb access is opened to all the world or only to the Catania provider network and CESNET network? If is open to all the world,

could you restrict the connections only to Catania provider and CESNET networks, please?

 mongo is now open to the world. This ticket's goal was to gather information about the cloud providers we are going to use. I'm going to add CESNET

and INFN-CATANIA and remove the global ACL.

#8 - Dec 17, 2015 11:43 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback
Removed the global ACL, added the CESNET and INFN-CATANIA networks.

#9 - Dec 17, 2015 01:08 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

#10 - Dec 17, 2015 03:21 PM - Andrea Dell'Amico

We have a network for the Bari provider, too: 90.147.102.0/24

#11 - Dec 17, 2015 03:24 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

#12 - Dec 17, 2015 11:01 PM - Andrea Dell'Amico

The German FZJ provider's network: 134.94.0.0/16

#13 - Dec 21, 2015 04:56 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

The IN2P3-IRES (FR) cloud provider network: 134.158.0.0/16
